package com.ruoyi.back.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.domain.entity.SysUser;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 题目纠错对象 b_customer_question_error
 *
 * @author mingxue
 * @date 2021-11-29
 */
public class BCustomerQuestionError extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 客户 */
    @Excel(name = "客户")
    private String customercode;

    /** 题目ID */
    @Excel(name = "题目ID")
    private String questionid;

    /** 是否解决 */
    @Excel(name = "是否解决")
    private Integer status;
    private SysUser user;

    public SysUser getUser() {
        return user;
    }

    public void setUser(SysUser user) {
        this.user = user;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCustomercode(String customercode)
    {
        this.customercode = customercode;
    }

    public String getCustomercode()
    {
        return customercode;
    }
    public void setQuestionid(String questionid)
    {
        this.questionid = questionid;
    }

    public String getQuestionid()
    {
        return questionid;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("customercode", getCustomercode())
            .append("questionid", getQuestionid())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("status", getStatus())
            .toString();
    }
}
